Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| KIE API 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager
Interface RegisterableItemsFactory

    public interface RegisterableItemsFactory

Factory that is used by `RuntimeManager` to configure `RuntimeEngine` (especially KieSession) with various registerable items:

- Work item handlers
- Process event listeners
- Agenda event listeners
- Working memory event listeners

Implementations of this interface shall decide what shall be registered for given `RuntimeEngine`. If there are any needs to be bound handlers or listeners to eny parts of runtime engine these can be obtained:

- KieSession
- TaskService

Although it's possible to get individual instance from runtime engine it's recommended to use `RuntimeEngine` instance instead to allow most flexible behavior.

Method Summary
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)` Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)` Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)` Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)` Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`

Method Detail

### getWorkItemHandlers

    Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`

  Parameters:
    `runtime` - provides `RuntimeEngine` in case handler need to make use of it internally
  Returns:
    map of handlers to be registered - in case of no handlers empty map shall be returned.

### getProcessEventListeners

    List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`

  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getAgendaEventListeners

    List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`

  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getWorkingMemoryEventListeners

    List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`

  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| KIE API 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.